Documentation Index

Fetch the complete documentation index at: https://help.gong.io/llms.txt

Use this file to discover all available pages before exploring further.

List Gong Engage flows (/v2/flows)

Prev Next
Get
/v2/flows

Engage flows have the following visibility types:

  • Company: visible to everyone in the company, can only be edited by users with edit permissions.

  • Personal: reps can set up their own flows which are only available to them.

  • Shared: reps can share a flow with other reps. Those reps can then add leads to the flow.

This endpoint returns all company flows, together with personal flows and flows shared with the user specified in the flowEmailOwner parameter.

When accessed through a Bearer token authorization method, use the 'api:flows:read' scope.

Query parameters
flowOwnerEmail
stringRequired

Email of the Gong user whose personal flows and flows shared with the user you want to return.

Exampletest@test.com
cursor
string

When paging is needed, provide the value supplied by the previous API call to bring the following page of records.

ExampleeyJhbGciOiJIUzI1NiJ9.eyJjYWxsSWQiM1M30.6qKwpOcvnuweTZmFRzYdtjs_YwJphJU4QIwWFM
workspaceId
string

Optional Workspace identifier, if supplied the API will return only the flows belonging to this workspace.

Example623457276584334
Responses
200

Successful response

Expand All
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
records
object (Records)

Information about the number of records that match the requested filter.

totalRecords
integer (int32)

Total number of records.

Example263
currentPageSize
integer (int32)

Number of records in the current page.

Example100
currentPageNumber
integer (int32)

Current page number.

Example0
cursor
string

Returned only when there are more records to be retrieved. Repeat the API call and pass this cursor value in the request to retrieve the next page of records.

ExampleeyJhbGciOiJIUzI1NiJ9.eyJjYWxsSWQiM1M30.6qKwpOcvnuweTZmFRzYdtjs_YwJphJU4QIwWFM
flows
Array of object (PublicApiFlow)

A list, in which each item specifies one Flow.

object

A list, in which each item specifies one Flow.

id
string

The id of the flow

Example1695493301223590792
name
string

The name of the flow

ExamplePersonal Flow
folderId
string

The id of the folder this flow is under

Example1695493301223573465
folderName
string

The name of the folder this flow is under

Example1695493301223573465
visibility
string

The flow visibility type

Valid values[ "Company", "Personal", "Shared" ]
creationDate
string

Creation time of the flow in ISO-8601 format (e.g., '2018-02-18T02:30:00-07:00' or '2018-02-18T08:00:00Z', where Z stands for UTC).

Example2018-02-17T02:30:00-08:00
exclusive
boolean

indicates whether a prospect in this flow can be added to other flows

Exampletrue
400

Malformed request

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
401

Unauthorized

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
403

Forbidden

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
429

API request limit exceeded

Headers
Retry-After
integer
Number of seconds to wait before making a new request.
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
500

Failed to complete the operation due to an unexpected error

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string